using Avalonia.Interactivity;
using Avalonia.Markup.Xaml;
using Avalonia.ReactiveUI;
using detect.gui.Commons;
using detect.gui.ViewModels;
using ReactiveUI;

namespace detect.gui.Views;

public partial class DeviceView : ReactiveUserControl<DeviceViewModel>
{
    public DeviceView()
    {
        InitializeComponent();
        this.WhenActivated(d => { });
    }

    private void InitializeComponent()
    {
        AvaloniaXamlLoader.Load(this);
    }
    
    protected override void OnLoaded(RoutedEventArgs e)
    {
        base.OnLoaded(e);
        this.GetParent<MainView>()!.WebWindow.SetAddress(2);
    }
}